summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNorbert Preining <preining@logic.at>2007-11-19 09:07:22 +0000
committerNorbert Preining <preining@logic.at>2007-11-19 09:07:22 +0000
commit92bfa1af5b97ddd5caa2d5f57f0c4fea497e8c0c (patch)
treeb1c563592f56c35a7fdb7cccff03a7f36e791098
parenteccf95d4124f0d01c2d5bdc66214fb8cd4ec7d63 (diff)
change location of texlive.tlpdb and texlive.pkgver to
$TeXLive::TLConfig::InfraLocation which is Master/tlpkg Adapt all the scripts to use the above variable git-svn-id: svn://tug.org/texlive/trunk@5516 c570f23f-e606-0410-a88d-b1316a301751
-rwxr-xr-xMaster/tlpkg/bin/tlpdb-check8
-rwxr-xr-xMaster/tlpkg/bin/tlpdb2container3
-rwxr-xr-xMaster/tlpkg/bin/tlpdb2updmap3
-rwxr-xr-xMaster/tlpkg/bin/tlpfiles3
-rwxr-xr-xMaster/tlpkg/bin/tlpkg-ctan-check5
-rwxr-xr-xMaster/tlpkg/bin/tlprm4
-rwxr-xr-xMaster/tlpkg/bin/tlpsrc2tlpdb3
-rw-r--r--Master/tlpkg/texlive.pkgver (renamed from Master/texlive.pkgver)0
-rw-r--r--Master/tlpkg/texlive.tlpdb (renamed from Master/texlive.tlpdb)0
9 files changed, 17 insertions, 12 deletions
diff --git a/Master/tlpkg/bin/tlpdb-check b/Master/tlpkg/bin/tlpdb-check
index 3d041a717b6..a91cf6496fc 100755
--- a/Master/tlpkg/bin/tlpdb-check
+++ b/Master/tlpkg/bin/tlpdb-check
@@ -9,8 +9,10 @@
cd `dirname $0`/../.. || exit 1
-if test ! -s texlive.tlpdb; then
- echo "$0: no (nonempty) texlive.tlpdb in $0, goodbye." >&2
+tlpdb=tlpkg/texlive.tlpdb
+
+if test ! -s $tlpdb; then
+ echo "$0: no (nonempty) $tlpdb in $0, goodbye." >&2
exit 1
fi
@@ -19,7 +21,7 @@ trap "rm -f $TMPDIR/tlpdb*" 0 1 2 15
# Get list of files.
tlpdbfiles=$TMPDIR/tlpdbfiles.$$
-grep '^ ' texlive.tlpdb | sort >$tlpdbfiles
+grep '^ ' $tlpdb | sort >$tlpdbfiles
echo "$0: checking duplicates..."
# GNU uniq makes it simple.
diff --git a/Master/tlpkg/bin/tlpdb2container b/Master/tlpkg/bin/tlpdb2container
index cf75e532503..68d4768dbe9 100755
--- a/Master/tlpkg/bin/tlpdb2container
+++ b/Master/tlpkg/bin/tlpdb2container
@@ -15,6 +15,7 @@ BEGIN {
use strict;
+use TeXLive::TLConfig;
use TeXLive::TLPOBJ;
use TeXLive::TLPDB;
use Getopt::Long;
@@ -44,7 +45,7 @@ sub main
{
# get the db.
chomp (my $Master = `cd $mydir/../.. && pwd`); # xx TLPDB should default
- my $tlpdb_path = "$Master/texlive.tlpdb";
+ my $tlpdb_path = "$Master/$TeXLive::TLConfig::InfraLocation/texlive.tlpdb";
my $tlpdb = TeXLive::TLPDB->new ("location" => $tlpdb_path);
die("Cannot load tlpdb at $tlpdb_path!\n") unless defined($tlpdb);
my @packs;
diff --git a/Master/tlpkg/bin/tlpdb2updmap b/Master/tlpkg/bin/tlpdb2updmap
index bb3bd9eb0a2..a66badc1966 100755
--- a/Master/tlpkg/bin/tlpdb2updmap
+++ b/Master/tlpkg/bin/tlpdb2updmap
@@ -16,6 +16,7 @@ BEGIN {
use strict;
+use TeXLive::TLConfig;
use TeXLive::TLPOBJ;
use TeXLive::TLPDB;
use Getopt::Long;
@@ -38,7 +39,7 @@ sub main
{
# get the db.
chomp (my $Master = `cd $mydir/../.. && pwd`); # xx TLPDB should default
- my $tlpdb_path = "$Master/texlive.tlpdb";
+ my $tlpdb_path = "$Master/$TeXLive::TLConfig::InfraLocation/texlive.tlpdb";
my $tlpdb = TeXLive::TLPDB->new ("location" => $tlpdb_path);
# get list of packages.
diff --git a/Master/tlpkg/bin/tlpfiles b/Master/tlpkg/bin/tlpfiles
index 4ec71bb2ade..41bc8a48f8d 100755
--- a/Master/tlpkg/bin/tlpfiles
+++ b/Master/tlpkg/bin/tlpfiles
@@ -17,6 +17,7 @@ BEGIN {
use strict;
+use TeXLive::TLConfig;
use TeXLive::TLPDB;
use Pod::Usage;
use Getopt::Long;
@@ -38,7 +39,7 @@ exit (&main ());
sub main
{
my $Master = "$mydir/../.."; # xx TLPDB should default
- my $tlpdb_path = "$Master/texlive.tlpdb";
+ my $tlpdb_path = "$Master/$TeXLive::TLConfig::InfraLocation/texlive.tlpdb";
if (@opt_pkgof) {
return &do_pkgof ($tlpdb_path, @opt_pkgof);
diff --git a/Master/tlpkg/bin/tlpkg-ctan-check b/Master/tlpkg/bin/tlpkg-ctan-check
index 23457856efe..4a18c57e730 100755
--- a/Master/tlpkg/bin/tlpkg-ctan-check
+++ b/Master/tlpkg/bin/tlpkg-ctan-check
@@ -198,10 +198,7 @@ sub main
# get the Master dir
chomp (my $Master = `cd $mydir/../.. && pwd`);
$TL = $Master;
- # should be this
- my $tlpdbloc = "$Master/" . $TeXLive::TLConfig::InfraLocation . "/texlive.tlpdb";
- # but for now we leave it like this:
- $tlpdbloc = "$Master/texlive.tlpdb";
+ my $tlpdbloc = "$Master/$TeXLive::TLConfig::InfraLocation/texlive.tlpdb";
# First we load the current texlive.tlpdb
$tlpdb = TeXLive::TLPDB->new ("location" => $tlpdbloc);
die("Cannot load tlpdb at $tlpdbloc!\n") unless defined($tlpdb);
diff --git a/Master/tlpkg/bin/tlprm b/Master/tlpkg/bin/tlprm
index 07fcd0e10c6..60ec0622cce 100755
--- a/Master/tlpkg/bin/tlprm
+++ b/Master/tlpkg/bin/tlprm
@@ -18,6 +18,7 @@ BEGIN {
use strict;
+use TeXLive::TLConfig;
use TeXLive::TLPDB;
use TeXLive::TLPSRC;
use Pod::Usage;
@@ -42,7 +43,8 @@ sub main
# xx should default in TLPDB.
chomp (my $Master = `cd $mydir/../.. && pwd`);
- my $tlpdb = TeXLive::TLPDB->new (location => "$Master/texlive.tlpdb");
+ my $tlpdb_path = "$Master/$TeXLive::TLConfig::InfraLocation/texlive.tlpdb";
+ my $tlpdb = TeXLive::TLPDB->new (location => $tlpdb_path);
foreach my $f (@ARGV) {
my $obj = $tlpdb->get_package ($f);
diff --git a/Master/tlpkg/bin/tlpsrc2tlpdb b/Master/tlpkg/bin/tlpsrc2tlpdb
index 629f692cae7..686bab6bd9b 100755
--- a/Master/tlpkg/bin/tlpsrc2tlpdb
+++ b/Master/tlpkg/bin/tlpsrc2tlpdb
@@ -14,6 +14,7 @@ BEGIN {
use strict;
+use TeXLive::TLConfig;
use TeXLive::TLPSRC;
use TeXLive::TLPOBJ;
use TeXLive::TLPDB;
@@ -94,7 +95,7 @@ sub main
# write the new db, to the real location given --all, or stdout.
if ($opt_all) {
local *TLPDB;
- our $TLPDB = ">$opt_master/texlive.tlpdb";
+ our $TLPDB = ">$opt_master/$TeXLive::TLConfig::InfraLocation/texlive.tlpdb";
open (TLPDB) || die "open($TLPDB) failed: $!";
$tldb->writeout (*TLPDB);
warn "$0: wrote $src_count packages $TLPDB.\n";
diff --git a/Master/texlive.pkgver b/Master/tlpkg/texlive.pkgver
index bace3d3a1a9..bace3d3a1a9 100644
--- a/Master/texlive.pkgver
+++ b/Master/tlpkg/texlive.pkgver
diff --git a/Master/texlive.tlpdb b/Master/tlpkg/texlive.tlpdb
index e77df06cdc4..e77df06cdc4 100644
--- a/Master/texlive.tlpdb
+++ b/Master/tlpkg/texlive.tlpdb